$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-b9cb1816919ce679f1743659f60257ae3a18d0c0/rpcs3-v0.0.10-10484-b9cb1816_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '520c3f0e4121fd0609a3381e11dc1ed4d0885537d60ff2c8eb4763e083d84368'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
